<!DOCTYPE html>
<html class="writer-html5" lang="en">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>nl2declare.test.test__main__ &mdash; NL2Declare  documentation</title>
      <link rel="stylesheet" type="text/css" href="../../../_static/pygments.css" />
      <link rel="stylesheet" type="text/css" href="../../../_static/css/theme.css" />

  
  <!--[if lt IE 9]>
    <script src="../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../" id="documentation_options" src="../../../_static/documentation_options.js"></script>
        <script src="../../../_static/jquery.js"></script>
        <script src="../../../_static/underscore.js"></script>
        <script src="../../../_static/_sphinx_javascript_frameworks_compat.js"></script>
        <script src="../../../_static/doctools.js"></script>
    <script src="../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../../index.html" class="icon icon-home">
            NL2Declare
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../modules.html">nl2declare</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">NL2Declare</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../../index.html">Module code</a></li>
          <li class="breadcrumb-item"><a href="../../nl2declare.html">nl2declare</a></li>
      <li class="breadcrumb-item active">nl2declare.test.test__main__</li>
      <li class="wy-breadcrumbs-aside">
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <h1>Source code for nl2declare.test.test__main__</h1><div class="highlight"><pre>
<span></span><span class="kn">import</span> <span class="nn">nl2declare.__main__</span> <span class="k">as</span> <span class="nn">Main</span>
<span class="kn">import</span> <span class="nn">os</span>

<div class="viewcode-block" id="test_main_run_single_constraint"><a class="viewcode-back" href="../../../nl2declare.test.html#nl2declare.test.test__main__.test_main_run_single_constraint">[docs]</a><span class="k">def</span> <span class="nf">test_main_run_single_constraint</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>
    <span class="n">result_model</span> <span class="o">=</span> <span class="n">Main</span><span class="o">.</span><span class="n">run_single_constraint</span><span class="p">(</span><span class="s2">&quot;A claim must be created before an invoice must be sent.&quot;</span><span class="p">)</span>
    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="n">result_model</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
        <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">i</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.SUCCESSION, A=Action: create claim, B=Action: send invoice]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>

<div class="viewcode-block" id="test_main_run_approach_on_csv_file"><a class="viewcode-back" href="../../../nl2declare.test.html#nl2declare.test.test__main__.test_main_run_approach_on_csv_file">[docs]</a><span class="k">def</span> <span class="nf">test_main_run_approach_on_csv_file</span><span class="p">(</span><span class="n">capsys</span><span class="p">):</span>

    <span class="n">result_models</span> <span class="o">=</span> <span class="n">Main</span><span class="o">.</span><span class="n">run_approach_on_csv_file</span><span class="p">(</span><span class="s2">&quot;nl2declare/input/datacollectionforpytest.csv&quot;</span><span class="p">)</span>

    <span class="n">all_constraints</span> <span class="o">=</span> <span class="s2">&quot;&quot;</span>
    <span class="k">for</span> <span class="n">declare_model</span> <span class="ow">in</span> <span class="n">result_models</span><span class="p">:</span>
        <span class="k">for</span> <span class="n">constraint</span> <span class="ow">in</span> <span class="n">declare_model</span><span class="o">.</span><span class="n">constraints</span><span class="p">:</span>
            <span class="n">all_constraints</span> <span class="o">=</span> <span class="n">all_constraints</span> <span class="o">+</span> <span class="n">constraint</span><span class="o">.</span><span class="fm">__str__</span><span class="p">()</span>

    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: create claim, B=Action: approve it]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span>  
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.RESPONSE, A=Action: select vendor, B=Action: generate purchase order]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> 
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: select vendor, B=Action: generate purchase order]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> 
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: select vendor, B=Action: send]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> 
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: generate purchase order, B=Action: deliver product]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> 
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: generate purchase order, B=Action: receive]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> 
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.RESPONSE, A=Action: send invoice, B=Action: create claim]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span>
    <span class="k">assert</span> <span class="s2">&quot;Constraint [type=ConstraintType.PRECEDENCE, A=Action: create claim, B=Action: send invoice]&quot;</span> <span class="ow">in</span> <span class="n">all_constraints</span> </div>




</pre></div>

           </div>
          </div>
          <footer>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>